Delete the recipient history
1 min
DELETE
https://api.campaign.episerver.net/rest/{clientId}/recipients
Path Parameters
- clientIdinteger<int64>requiredDescriptionFormatint64
Query Parameters
- reasonstringDescription
- recipientKeystringrequiredDescription
Responses
202
400
curl
curl --request DELETE \
--url 'https://api.campaign.episerver.net/rest/{clientId}/recipients?recipientKey=string' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/recipients?recipientKey=string", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/recipients?recipientKey=string")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/recipients?recipientKey=string"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
202
// The recipient history deletion was initiated successfully.
400
// The required parameter 'recipientKey' is not provided. Check for the recipient key (that is, the recipient ID) and add it to the request.